%define ver_major 0.6
%define real goffice-light
%def_disable static
%def_disable cvs
%define cvs_date cvs20050921

Name: libgnomeoffice-light
Version: 0.6.1
Release: alt1
Url: ftp://ftp.gnome.org/pub/gnome/sources/%real/%ver_major/
Summary: Library for writing gnome office programs
License: GPL
Group: Graphical desktop/GNOME
Packager: Alexey Morsov <swi@altlinux.ru>
Source: %name-%version.tar
Patch: libgnomeoffice-alt-pcre.patch

BuildRequires: libgtk+2-devel >= 2.6.0 libpcre-devel libart_lgpl-devel gcc-c++ glib2-devel libgsf-devel libstdc++-devel libxml2-devel perl-XML-Parser intltool gtk-doc >= 1.9 libglade2-devel >= 2.3.6

Obsoletes: libgnomeoffice < 0.5.0-alt1

%description
%name is a library that eases the task of writing gnome office
programs.

%package devel
Summary: Development libraries and header files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains the header files and libraries needed to write and
compile programs that use %name.

%package devel-static
Summary: Static libraries for %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains static libraries needed to compile programs
statically linked with %name.

%define _libexecdir %_libdir/%name

%prep
%setup -q
%patch -p1
find . -type f -name \* -print0 | xargs -r0 subst 's|libgoffice_|libgoffice_light_|g'
find . -type f -name \* -print0 | xargs -r0 subst 's|libgoffice-|libgoffice-light-|g'
subst 's|/goffice/${VERSION}|/goffice-light/${VERSION}|g' configure.in
subst 's|goffice-${VERSION}|goffice-light-${VERSION}|g' configure.in
subst 's|DOC_MODULE=goffice|DOC_MODULE=goffice-light|g' docs/reference/Makefile.am
subst 's|lgoffice-|lgoffice-light-|g' libgoffice.pc.in
subst 's|libgoffice.pc|libgoffice-light.pc|g' configure.in
mv libgoffice.pc.in libgoffice-light.pc.in

intltoolize --force
%__autoreconf

%build
%configure --without-gnome
	    
%make_build

%install
%makeinstall

%find_lang %real

%post
%post_ldconfig

%postun
%postun_ldconfig

%post devel
%update_scrollkeeper

%postun devel
%clean_scrollkeeper

%files -f %real.lang
%_libdir/*.so.*
%_libdir/goffice-light/
%exclude %{_libdir}/goffice-light/%version/plugins/*/*.la
%_datadir/goffice-light/
%_datadir/pixmaps/goffice-light/*
%doc AUTHORS ChangeLog

%files devel
%_libdir/*.so
%_libdir/pkgconfig/*
%_includedir/libgoffice-light-%ver_major/
%_datadir/gtk-doc/html/%real
%_datadir/locale/*/LC_MESSAGES/%real-%version.mo


%if_enabled static
%files devel-static
%_libdir/*.a
%_libdir/*/*/*.a
%endif

%changelog
* Thu Jan 03 2008 Alexey Morsov <swi@altlinux.ru> 0.6.1-alt1
- version 0.6.1

* Tue Nov 13 2007 Alexey Morsov <swi@altlinux.ru> 0.5.2-alt2
- full name change (so, docs, etc)

* Thu Nov 08 2007 Alexey Morsov <swi@altlinux.ru> 0.5.2-alt1
- 0.5.2

* Fri Sep 14 2007 Alexey Morsov <swi@altlinux.ru> 0.5.0-alt1
- version 0.5.0
- so-name changed

* Tue Jul 31 2007 Alexey Morsov <swi@altlinux.ru> 0.4.2-alt1
- Avoid crash if libxml2 returns ERROR or NONE when guessing encoding.
- do not leak the mime type
- fixed signedness issue spotted with help of sparse
- needed for gnumeric 1.7.11


* Sat Jun 02 2007 Alexey Morsov <swi@altlinux.ru> 0.4.0-alt1
- new version for Gnumeric 1.7.10
- added new cubic spline support
- new convenience function
- fixes

* Wed Apr 25 2007 Alexey Morsov <swi@altlinux.ru> 0.3.8-alt1
- new version
- clean spec from cvs bounds (port to git)
- add docs for -devel

* Tue Mar 06 2007 Alexey Morsov <swi@altlinux.ru> 0.3.7-alt1
- new version (bug fixes)
- add libpcre-devel req (patch for pcre)

* Mon Feb 19 2007 Alexey Morsov <swi@altlinux.ru> 0.3.6-alt1
- new version (for gnumeric 1.7.7)

* Mon Dec 25 2006 Alexey Morsov <swi@altlinux.ru> 0.3.5-alt2
- fix spec (bug 10496)

* Tue Dec 19 2006 Alexey Morsov <swi@altlinux.ru> 0.3.5-alt1
- new version (for gnumeric 1.7.6)

* Tue Dec 05 2006 Alexey Morsov <swi@altlinux.ru> 0.3.4-alt1
- build new version (for gnumeric 1.7.5)

* Fri Mar 31 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.1.2-alt1.1
- Rebuild with libgsf-1.so.114 .

* Thu Nov 17 2005 Vital Khilko <vk@altlinux.ru> 0.1.2-alt1
- first release

